2 Replies Latest reply: Nov 20, 2013 6:33 PM by William Lloyd
jester67 Level 1 Level 1 (0 points)

I have an older Mac Pro (October 2006 manufacture date) and Aperture 3.4.5. Software update tells me my software is up to date; however, Apple's website shows current Aperture version to be 3.5.1. Can I not upgrade to 3.5.1?


Mac Pro, Mac OS X (10.7.5), ATI X1900XT vid card; 13GB ram